<template>
<b-container fluid>
  <b-card-group deck >
                    <b-card
                      v-for="jogo in jogos" :key="jogo.id"
                      
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                    <b-card-text id="cardTitle">
                      <h1>{{ jogo.nome }}</h1>
                      </b-card-text>
                      <b-card-text>
                        {{ jogo.descricao }}
                      </b-card-text>
<b-badge variant="danger"> {{ jogo.categoria }}</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>
</b-card-group>

</b-container>
</template>

<script>

import jogos from '../../service/jogos';
export default{
    data() {
    return {
      jogos: []
    }
  },
mounted(){
    jogos.listar().then(resposta => {
      console.log(resposta.data)
      this.jogos = resposta.data
    })
  }
}
</script>
<style>
#cardTitle{
  color: rgb(50, 24, 24);
  font-family: arial, bold;
  font-style: italic;
}
</style>